Subject: Re: [bug#59983] [PATCH] home: Let user configure XDG base directories.

From: Antero Mejr <[email-masked]>
Date: Tue, 13 Dec 2022 15:53:23 +0000

Andrew Tropin <[email-masked]> writes:
> There is no way to understand upfront if directory containing
> XDG_RUNTIME_DIR is writable and this is why it's a good idea to delegate
> initialization of it to external thing and never try to create it here,
> even if it has non-default value.

Thank you for the snippet, that's a much better way of fixing my issue.

I still think guix home should (by default) be able to use all its
features without the requirement of having external programs installed.

For example, suppose you have a server that you want to set up your home
environment on, for when you login to do sysadmin tasks. That server
wouldn't have %desktop-services (elogind), nor would it have a custom
greeter like greetd. So XDG_RUNTIME_DIR will be unset.

If XDG_RUNTIME_DIR does not exist, can we make a fallback path to have
guix home put the shepherd socket and on-first-login-executed flag file
in ~/.local/var/run (or somewhere else writable) instead?